import { ScannerOptions } from '@emmetio/html-matcher';
export interface Options extends ScannerOptions {
    /** Normalize whitespace when extracting content from XML */
    normalizeSpace?: boolean;
    /** Reduce ”noise” by removing meaningless whitespace patches */
    compact: boolean;
    /** List of inline-level tag names. Used for better document patching */
    inlineElements: string[];
    baseStart?: number;
    baseEnd?: number;
}
export default function createOptions(opt?: Partial<Options>): Options;
